From 049c82708373ec32f50f5029bc5b0d4c0ee7c15b Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: May 04 2017 22:05:20 +0000
Subject: [PATCH 830/1001] Automatically set the env vars for testing


---

diff --git a/hubs/tests/__init__.py b/hubs/tests/__init__.py
index 90913f1..0fd3ba9 100644
--- a/hubs/tests/__init__.py
+++ b/hubs/tests/__init__.py
@@ -13,10 +13,17 @@ import requests
 import vcr
 from flask.signals import template_rendered
 
-import hubs.models
-
+here = dirname(__file__)
 cassette_dir = os.path.join(dirname(__file__), 'vcr-request-data')
 
+if "HUBS_CONFIG" not in os.environ:
+    os.environ["HUBS_CONFIG"] = os.path.join(here, "hubs_test.cfg")
+if "FEDMSG_CONFIG" not in os.environ:
+    os.environ["FEDMSG_CONFIG"] = os.path.join(here, "fedmsg_test.cfg")
+
+import hubs.app     # noqa: E402
+import hubs.models  # noqa: E402
+
 
 class APPTest(unittest.TestCase):
     def setUp(self):
@@ -24,7 +31,6 @@ class APPTest(unittest.TestCase):
         self.vcr = vcr.use_cassette(filename, record_mode='new_episodes')
         self.vcr.__enter__()
 
-        import hubs.app
         hubs.app.session = hubs.models.init(
             hubs.app.fedmsg_config['hubs.sqlalchemy.uri'],
             create=True,

